FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian GCC

 
 
LinkBack Thread Tools
 
Old 09-23-2012, 09:44 PM
Christophe Prud'homme
 
Default Bug#688587: gcc-4.6: g++-4.6-10 ice on valid code

Package: gcc-4.6
Version: 4.6.3-10
Severity: serious
Tags: upstream
Justification: g++-4.6 ice on valid c++ code since -10 (possibly -9)

Dear Maintainer,

* What led up to the situation?

upgrading gcc-4.6 from -8 to -10

* What exactly did you do (or not do) that was effective (or
ineffective)?

Ths solution to fix this is to go back to -8

* What was the outcome of this action?

c++ libraries(e.g. feel++ on Debian) that have been compiling fail now to
compile
I get ice on almost all object files



-- System Information:
Debian Release: wheezy/sid
APT prefers unstable
APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gcc-4.6 depends on:
ii binutils 2.22-7.1
ii cpp-4.6 4.6.3-10
ii gcc-4.6-base 4.6.3-10
ii libc6 2.13-35
ii libgcc1 1:4.7.2-2
ii libgmp10 2:5.0.5+dfsg-2
ii libgomp1 4.7.2-2
ii libmpc2 0.9-4
ii libmpfr4 3.1.0-5
ii libquadmath0 4.7.2-2
ii zlib1g 1:1.2.7.dfsg-13

Versions of packages gcc-4.6 recommends:
ii libc6-dev 2.13-35

Versions of packages gcc-4.6 suggests:
pn binutils-gold <none>
pn gcc-4.6-doc <none>
pn gcc-4.6-locales <none>
pn gcc-4.6-multilib <none>
pn libgcc1-dbg <none>
pn libgomp1-dbg <none>
pn libmudflap0-4.6-dev <none>
pn libmudflap0-dbg <none>
pn libquadmath0-dbg <none>

-- no debconf information


--
To UNSUBSCRIBE, email to debian-gcc-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20120923214451.16082.94609.reportbug@debian64.prud homm.org">http://lists.debian.org/20120923214451.16082.94609.reportbug@debian64.prud homm.org
 
Old 09-23-2012, 09:49 PM
Matthias Klose
 
Default Bug#688587: gcc-4.6: g++-4.6-10 ice on valid code

tags 688587 + moreinfo
thanks

On 23.09.2012 23:44, Christophe Prud'homme wrote:
> Package: gcc-4.6
> Version: 4.6.3-10
> Severity: serious
> Tags: upstream
> Justification: g++-4.6 ice on valid c++ code since -10 (possibly -9)
>
> Dear Maintainer,
>
> * What led up to the situation?
>
> upgrading gcc-4.6 from -8 to -10
>
> * What exactly did you do (or not do) that was effective (or
> ineffective)?
>
> Ths solution to fix this is to go back to -8
>
> * What was the outcome of this action?
>
> c++ libraries(e.g. feel++ on Debian) that have been compiling fail now to
> compile
> I get ice on almost all object files

you didn't provide the preprocessed source.


--
To UNSUBSCRIBE, email to debian-gcc-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 505F8402.8000801@debian.org">http://lists.debian.org/505F8402.8000801@debian.org
 
Old 09-24-2012, 05:02 AM
"Christophe Prud'homme"
 
Default Bug#688587: gcc-4.6: g++-4.6-10 ice on valid code

Matthias,

I first wanted to get back to something working for me, i.e. 4.6.3-8.
I will upload later today (more probably provide some link to) some
failing preprocessed files.

Best regards
C.

On Sun, Sep 23, 2012 at 11:49 PM, Matthias Klose <doko@debian.org> wrote:
> you didn't provide the preprocessed source.


--
To UNSUBSCRIBE, email to debian-gcc-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: CAL5hWmT_wj03nBSX+K+A6acHJS-7VfHTby29WpodQ7Sgv6969Q@mail.gmail.com">http://lists.debian.org/CAL5hWmT_wj03nBSX+K+A6acHJS-7VfHTby29WpodQ7Sgv6969Q@mail.gmail.com
 
Old 10-06-2012, 12:28 PM
Matthias Klose
 
Default Bug#688587: gcc-4.6: g++-4.6-10 ice on valid code

reassign 688587 src:feel++
thanks

On 24.09.2012 07:02, Christophe Prud'homme wrote:
> Matthias,
>
> I first wanted to get back to something working for me, i.e. 4.6.3-8.
> I will upload later today (more probably provide some link to) some
> failing preprocessed files.
>
> Best regards
> C.
>
> On Sun, Sep 23, 2012 at 11:49 PM, Matthias Klose <doko@debian.org> wrote:
>> you didn't provide the preprocessed source.

didn't happen yet. reassigning to feel++. Please make sure that you use the same
gcc and g++ versions for your build. there's a separate report about this.


--
To UNSUBSCRIBE, email to debian-gcc-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 507023E7.9000509@debian.org">http://lists.debian.org/507023E7.9000509@debian.org
 

Thread Tools




All times are GMT. The time now is 09:22 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org